/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package administrador.datos;

public class DatosCapacidad {

    public boolean Permanente;
    public boolean Actual;
    public boolean DeMesa;
    public boolean Favorita;
    public String nombre;

    public DatosCapacidad(String nombre, boolean s1, boolean s2, boolean s3, boolean s4) {
        this.nombre = nombre;
        Permanente = s1;
        Actual = s2;
        DeMesa = s3;
        Favorita = s4;
    }

    public DatosCapacidad(String s) {
        int l = s.length();
        nombre = s.substring(0, l - 4);
        Permanente = s.charAt(l - 4) != '0';
        Actual = s.charAt(l - 3) != '0';
        DeMesa = s.charAt(l - 2) != '0';
        Favorita = s.charAt(l - 1) != '0';
    }

    public DatosCapacidad(DatosCapacidad dc) {
        nombre = dc.nombre;
        Permanente = dc.Permanente;
        Actual = dc.Actual;
        DeMesa = dc.DeMesa;
        Favorita = dc.Favorita;
    }

    public DatosCapacidad() {
    }

    @Override
    public String toString() {
        return nombre + (Permanente ? '1' : '0') + (Actual ? '1' : '0') + (DeMesa ? '1' : '0') + (Favorita ? '1' : '0');
    }
}
